From 8cf81b6d2a901317268ac686a1d4c7457b12cc0e Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 31 2016 20:04:20 +0000
Subject: [PATCH 382/1001] systemd service files.


---

diff --git a/systemd/README b/systemd/README
new file mode 100644
index 0000000..6d055ec
--- /dev/null
+++ b/systemd/README
@@ -0,0 +1,3 @@
+This are service files used for the demo cloud node.
+
+We should revise them once we're closer to ready for production.
diff --git a/systemd/hubs-triage@.service b/systemd/hubs-triage@.service
new file mode 100644
index 0000000..c94f838
--- /dev/null
+++ b/systemd/hubs-triage@.service
@@ -0,0 +1,15 @@
+[Unit]
+Description=fedora-hubs triage worker #%i
+After=network.target
+Documentation=https://pagure.io/fedora-hubs/
+
+[Service]
+ExecStart=/srv/git/fedora-hubs/venv-hubs/bin/python /srv/git/fedora-hubs/hubs/backend/triage.py
+WorkingDir=/srv/git/fedora-hubs/
+Type=simple
+User=root
+Group=root
+Restart=on-failure
+
+[Install]
+WantedBy=multi-user.target
diff --git a/systemd/hubs-webapp.service b/systemd/hubs-webapp.service
new file mode 100644
index 0000000..0993f22
--- /dev/null
+++ b/systemd/hubs-webapp.service
@@ -0,0 +1,15 @@
+[Unit]
+Description=fedora-hubs frontend webapp
+After=network.target
+Documentation=https://pagure.io/fedora-hubs/
+
+[Service]
+ExecStart=/srv/git/fedora-hubs/venv-hubs/bin/gunicorn -b 0.0.0.0:80 --threads 12 --log-config logging.ini --reload hubs.app:app
+WorkingDir=/srv/git/fedora-hubs/
+Type=simple
+User=root
+Group=root
+Restart=on-failure
+
+[Install]
+WantedBy=multi-user.target
diff --git a/systemd/hubs-worker@.service b/systemd/hubs-worker@.service
new file mode 100644
index 0000000..ce263b7
--- /dev/null
+++ b/systemd/hubs-worker@.service
@@ -0,0 +1,15 @@
+[Unit]
+Description=fedora-hubs cache worker #%i
+After=network.target
+Documentation=https://pagure.io/fedora-hubs/
+
+[Service]
+ExecStart=/srv/git/fedora-hubs/venv-hubs/bin/python /srv/git/fedora-hubs/hubs/backend/worker.py
+WorkingDir=/srv/git/fedora-hubs/
+Type=simple
+User=root
+Group=root
+Restart=on-failure
+
+[Install]
+WantedBy=multi-user.target

